aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--test/dotnet/install_dotnet_lts.sh11
-rw-r--r--test/dotnet/scenarios.json8
2 files changed, 19 insertions, 0 deletions
diff --git a/test/dotnet/install_dotnet_lts.sh b/test/dotnet/install_dotnet_lts.sh
new file mode 100644
index 0000000..599d5dd
--- /dev/null
+++ b/test/dotnet/install_dotnet_lts.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+source dev-container-features-test-lib
+
+./test.sh
+
+check "lts version installed" bash -c 'test "$(dotnet --list-sdks | wc -l)" -eq 1'
+
+reportResults
diff --git a/test/dotnet/scenarios.json b/test/dotnet/scenarios.json
index 3e930df..06d7e8d 100644
--- a/test/dotnet/scenarios.json
+++ b/test/dotnet/scenarios.json
@@ -8,6 +8,14 @@
}
}
},
+ "install_dotnet_lts": {
+ "image": "ubuntu:focal",
+ "features": {
+ "dotnet": {
+ "version": "latest"
+ }
+ }
+ },
"install_dotnet_3": {
"image": "ubuntu:focal",
"features": {